Regarding plugin installation issue

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Regarding plugin installation issue

kirti.rastogi
Hi All,

While launching jenkins through apache tomcat jenkins doesnt allow me to install plugins. Now i want to install manualy but while installing i am getting error through hpi. 
Please help me out

error is-

java.io.IOException: Docker plugin v1.1.4 failed to load.
 - apache-httpcomponents-client-4-api v4.5.3-2.0 is missing. To fix, install v4.5.3-2.0 or later.
 - bouncycastle-api v2.16.2 is missing. To fix, install v2.16.2 or later.
 - docker-commons v1.9 is missing. To fix, install v1.9 or later.
 - docker-java-api v3.0.14 is missing. To fix, install v3.0.14 or later.
 - durable-task v1.16 is missing. To fix, install v1.16 or later.
 - ssh-slaves v1.22 is missing. To fix, install v1.22 or later.
 - token-macro v2.3 is missing. To fix, install v2.3 or later.
	at hudson.PluginWrapper.resolvePluginDependencies(PluginWrapper.java:626)
	at hudson.PluginManager.dynamicLoad(PluginManager.java:872)

--
You received this message because you are subscribed to the Google Groups "Jenkins Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-users/714ab1a9-2dd0-4e61-b424-1a46a48450e9%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Regarding plugin installation issue

R. Tyler Croy
(replies inline)

On Wed, 16 May 2018, [hidden email] wrote:

> Hi All,
>
> While launching jenkins through apache tomcat jenkins doesnt allow me to
> install plugins. Now i want to install manualy but while installing i am
> getting error through hpi.
> Please help me out


How are you installing plugins? One (token-macro) wasn't installed correctly
and that looks like it's causing the dependency resolution problems.

--
You received this message because you are subscribed to the Google Groups "Jenkins Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-users/20180516142111.GF3395%40grape.lasagna.io.
For more options, visit https://groups.google.com/d/optout.

signature.asc (201 bytes) Download Attachment